<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
body{
	margin: 0;
	height: 100vh;
	width: 100vw;
	box-sizing: border-box;
}
.colorarea{
	height: 20vh;
	width: 100%;
	display: flex;
	box-sizing: border-box;
	border: 2px solid black;
}
.maincolor, .shadowcolor{
	width: 50%;
	display: flex;	
	flex-direction: column;
	justify-content: center;
	align-items: center;
	height: 100%;
	font-size: 2rem;
	letter-spacing: 15px;
	font-weight: bold;
	border-left:2px solid black;
}
.maincolor>input, .shadowcolor>input{
	width: 25%;
	margin: 3%;
	height: 20%;
	box-shadow: 0px 0px 38px 10px rgba(0,0,0,0.30);
}
.slidecontainer, .choice{
  	width: 90%;
	}
 .choice{
  	width: 50%;
	}

.slider {
  -webkit-appearance: none;
  width: 100%;
  height: 20px;
  background: #CBC0B8;
  outline: none;
  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
}

.slider:hover {
  opacity: 1;
}

.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  background: teal;
  cursor: pointer;
}

#boxy{
	height: 65%;
	width: 22%;
	margin:5%;
	border-radius: 50%;
}
.choice>div{
	margin: 3%;
}
.mainarea{
	width: 100%;
	height: 70vh;
	display: flex;
	justify-content: center;
	align-items: center;
}
#value{
	height: 10vh;
	width: auto;
	display: flex;
	justify-content: center;
	align-items: center;
}

</style>
<body>
	<div class="colorarea">
		<div class="maincolor">MAIN COLOR
			<input onchange="changeBoxShadow()" type="color" class="slider" id="color">
		</div>
		<div class="shadowcolor">SHADOW COLOR
			<input onchange="changeBoxShadow()" type="color" class="slider" id="shadow">
		</div>
	</div>
	<div class="mainarea">
				<div class="choice">
					<div>
						Vertical
						<div class="slidecontainer">
					 	 <input type="range" onchange="changeBoxShadow()" min="1" max="100" value="0" class="slider" id="ver">
						</div>
					</div>
					<div>
						Horizontal
						<div class="slidecontainer">
					 	 <input type="range" onchange="changeBoxShadow()" min="1" max="100" value="0" class="slider" id="hor">
						</div>
					</div>
					<div>
						Blur
						<div class="slidecontainer">
					 	 <input type="range" onchange="changeBoxShadow()" min="1" max="100" value="0" class="slider" id="blur">
						</div>
					</div>
					<div>
						Spread
						<div class="slidecontainer">
					 	 <input type="range" onchange="changeBoxShadow()" min="1" max="100" value="0" class="slider" id="spread">
						</div>
					</div>
					
				</div>
				<div id="boxy"></div>
	</div>
	<div id="value"></div>
</body>
<script type="text/javascript">
	let ver=document.getElementById('ver');
	let hor=document.getElementById('hor');
	let blur=document.getElementById('blur');
	let spread=document.getElementById('spread');
	let box=document.getElementById('boxy');

	function changeBoxShadow(){
		box.style.background= color.value;
		box.style.boxShadow= `${ver.value}px ${hor.value}px ${blur.value}px ${spread.value}px ${shadow.value}`;
		document.getElementById('value').innerHTML= `Box Shadow = ${ver.value}px ${hor.value}px ${blur.value}px ${spread.value}px ${shadow.value}`;
	}
	

</script>
</html>